> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Full Member List CSV

Upload a CSV file containing your entire target member list. The file should contain the following columns:

* `email`: The email address of the member.
* `first_name`: The first name of the member.
* `last_name`: The last name of the member.
* `phone`: (allowed empty) The phone number of the member.
* `tier`: The tier of the member.
* `worker_id` (optional, allowed empty): The worker ID of the member.

<Tip>The API doesn't care about the casing of the columns, e.g. "Worker ID" is acceptable</Tip>

#### Relevant Error Codes

When parsing the file uploaded we can return:

* [FileContent](/api-reference/error-handling#filecontent) if the file has validation issues.


## OpenAPI

````yaml PUT /v1/members/jobs/csv
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/members/jobs/csv:
    put:
      tags:
        - members
      operationId: createJobFromCsv
      parameters:
        - name: x-idempotency-key
          in: header
          description: Unique key to ensure idempotency of the request
          schema:
            type: string
      responses:
        '202':
          description: '202'
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobId:
                    example: maj_cltd2zp7100096tmbamb9c46o
                    type: string
                required:
                  - jobId
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````